import * as React from "react";

interface RefreshContextType {
  refresh: () => void;
  lastUpdate: number;
}

export const RefreshContext = React.createContext<RefreshContextType>({
  refresh: () => {},
  lastUpdate: Date.now(),
});

export function useRefresh() {
  return React.useContext(RefreshContext);
}
